> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Draft Ranking Scouts

> Retrieve a paginated list of draft ranking scouts. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /draft-types/{slug}/draft-rankings/{year}/ranking-scouts
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /draft-types/{slug}/draft-rankings/{year}/ranking-scouts:
    get:
      tags:
        - Draft
      summary: Draft Ranking Scouts
      description: >-
        Retrieve a paginated list of draft ranking scouts. Use the `fields`
        parameter to customize response fields.
      operationId: listDraftTypesDraftRankingsRankingScouts
      parameters:
        - in: path
          name: slug
          schema:
            type: string
          required: true
          description: Slug of the draft type to get draft ranking scouts for
        - in: path
          name: year
          schema:
            type: string
          required: true
          description: Year of the draft ranking to get draft ranking scouts for
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - slug
                - name
                - continent
                - hasSeparateGoalieRanking
                - lastUpdateInformation
                - logoUrl
                - widgetLogoUrl
                - links
                - rankingSource
                - sortIndex
                - eliteprospectsUrlPath
                - updatedAt
                - links.*
                - rankingSource.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* slug, name, continent, hasSeparateGoalieRanking, lastUpdateInformation, logoUrl, widgetLogoUrl, links, rankingSource, sortIndex, eliteprospectsUrlPath, updatedAt"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - sortIndex
                - '-sortIndex'
                - name
                - '-name'
                - rankingSource
                - '-rankingSource'
                - updatedAt
                - '-updatedAt'
            default: sortIndex
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: slug
          schema:
            type: string
          required: false
          description: Filter by slug
        - in: query
          name: name
          schema:
            type: string
          required: false
          description: Filter by name
        - in: query
          name: rankingSource
          schema:
            type: string
          required: false
          description: Filter by rankingSource
        - in: query
          name: hasSeparateGoalieRanking
          schema:
            type: boolean
          required: false
          description: Filter by hasSeparateGoalieRanking
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
      responses:
        '200':
          description: A paginated list of draft ranking scouts.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DraftRankingScout'
          x-field-info:
            defaultFields:
              - slug
              - name
              - continent
              - hasSeparateGoalieRanking
            extendedFields:
              - lastUpdateInformation
              - logoUrl
              - widgetLogoUrl
              - links
              - rankingSource
              - sortIndex
              - eliteprospectsUrlPath
              - updatedAt
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    DraftRankingScout:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        continent:
          $ref: '#/components/schemas/Continent'
        hasSeparateGoalieRanking:
          type: boolean
        lastUpdateInformation:
          type: string
          nullable: true
        logoUrl:
          type: string
          nullable: true
        widgetLogoUrl:
          type: string
          nullable: true
        links:
          properties:
            officialWebUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
        rankingSource:
          properties:
            slug:
              type: string
            name:
              type: string
        sortIndex:
          type: integer
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
    Continent:
      type: string
      enum:
        - INT
        - AF
        - AN
        - AS
        - EU
        - NA
        - OC
        - SA
        - null
      nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````